<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::capabilityAgents::aip::AudioProvider Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents.html">capabilityAgents</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html">aip</a></li><li class="navelem"><a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider.html">AudioProvider</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::capabilityAgents::aip::AudioProvider Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_audio_provider_8h_source.html">AudioProvider.h</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::capabilityAgents::aip::AudioProvider:</div>
<div class="dyncontent">
<div class="center"><img src="structalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider_coll__map" id="alexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider_coll__map">
<area shape="rect" id="node2" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html" title="alexaClientSDK::avsCommon\l::utils::AudioFormat" alt="" coords="5,5,202,44"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ab2e6439d56f468736781b6cffc63261b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider.html#ab2e6439d56f468736781b6cffc63261b">AudioProvider</a> (std::shared_ptr&lt; <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a0e5ba82a4fcf54f83464cb9a9d944e91">avsCommon::avs::AudioInputStream</a> &gt; <a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider.html#a9225e5d2a1e9d361877d68148225729b">stream</a>, const <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html">avsCommon::utils::AudioFormat</a> &amp;<a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider.html#a52ad41317d02bb2ecbcf9f643f129298">format</a>, <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a12e954e666da508165ebfb7ce4466b2d">ASRProfile</a> <a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider.html#a637be2eda67f32d06d48cdc5f2d56fcd">profile</a>, bool <a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider.html#a04d5828dec4f7727bcd7d26818915bf3">alwaysReadable</a>, bool <a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider.html#ad434552bf80a9075563c64b12a805b68">canOverride</a>, bool <a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider.html#af787165a5c3540a5e2d2109669136c6c">canBeOverridden</a>)</td></tr>
<tr class="separator:ab2e6439d56f468736781b6cffc63261b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e1527deb440ed0a34d5945ca67b284a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider.html#a9e1527deb440ed0a34d5945ca67b284a">operator bool</a> () const</td></tr>
<tr class="separator:a9e1527deb440ed0a34d5945ca67b284a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a8bb6d6ed0a65c27e2eabac7e869c698a"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider.html">AudioProvider</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider.html#a8bb6d6ed0a65c27e2eabac7e869c698a">null</a> ()</td></tr>
<tr class="separator:a8bb6d6ed0a65c27e2eabac7e869c698a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a9225e5d2a1e9d361877d68148225729b"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a0e5ba82a4fcf54f83464cb9a9d944e91">avsCommon::avs::AudioInputStream</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider.html#a9225e5d2a1e9d361877d68148225729b">stream</a></td></tr>
<tr class="memdesc:a9225e5d2a1e9d361877d68148225729b"><td class="mdescLeft">&#160;</td><td class="mdescRight">The <code>ByteStream</code> to use for audio input.  <a href="#a9225e5d2a1e9d361877d68148225729b">More...</a><br /></td></tr>
<tr class="separator:a9225e5d2a1e9d361877d68148225729b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52ad41317d02bb2ecbcf9f643f129298"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html">avsCommon::utils::AudioFormat</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider.html#a52ad41317d02bb2ecbcf9f643f129298">format</a></td></tr>
<tr class="memdesc:a52ad41317d02bb2ecbcf9f643f129298"><td class="mdescLeft">&#160;</td><td class="mdescRight">The <code>AudioFormat</code> of the data in <code>byteStream</code>.  <a href="#a52ad41317d02bb2ecbcf9f643f129298">More...</a><br /></td></tr>
<tr class="separator:a52ad41317d02bb2ecbcf9f643f129298"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a637be2eda67f32d06d48cdc5f2d56fcd"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a12e954e666da508165ebfb7ce4466b2d">ASRProfile</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider.html#a637be2eda67f32d06d48cdc5f2d56fcd">profile</a></td></tr>
<tr class="memdesc:a637be2eda67f32d06d48cdc5f2d56fcd"><td class="mdescLeft">&#160;</td><td class="mdescRight">The <code>ASRProfile</code> describing the acoustic environment for the audio input.  <a href="#a637be2eda67f32d06d48cdc5f2d56fcd">More...</a><br /></td></tr>
<tr class="separator:a637be2eda67f32d06d48cdc5f2d56fcd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04d5828dec4f7727bcd7d26818915bf3"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider.html#a04d5828dec4f7727bcd7d26818915bf3">alwaysReadable</a></td></tr>
<tr class="memdesc:a04d5828dec4f7727bcd7d26818915bf3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether new audio data can be read at any time from <code>byteStream</code>.  <a href="#a04d5828dec4f7727bcd7d26818915bf3">More...</a><br /></td></tr>
<tr class="separator:a04d5828dec4f7727bcd7d26818915bf3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad434552bf80a9075563c64b12a805b68"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider.html#ad434552bf80a9075563c64b12a805b68">canOverride</a></td></tr>
<tr class="memdesc:ad434552bf80a9075563c64b12a805b68"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether this <code><a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider.html">AudioProvider</a></code> should be allowed to interrupt/override another <code><a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider.html">AudioProvider</a></code>.  <a href="#ad434552bf80a9075563c64b12a805b68">More...</a><br /></td></tr>
<tr class="separator:ad434552bf80a9075563c64b12a805b68"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af787165a5c3540a5e2d2109669136c6c"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider.html#af787165a5c3540a5e2d2109669136c6c">canBeOverridden</a></td></tr>
<tr class="memdesc:af787165a5c3540a5e2d2109669136c6c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether this <code><a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider.html">AudioProvider</a></code> should allow another <code><a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider.html">AudioProvider</a></code> to interrupt it.  <a href="#af787165a5c3540a5e2d2109669136c6c">More...</a><br /></td></tr>
<tr class="separator:af787165a5c3540a5e2d2109669136c6c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">Wrapper for an audio input <code>ByteStream</code> which includes information about the audio format and policies for using it. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ab2e6439d56f468736781b6cffc63261b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab2e6439d56f468736781b6cffc63261b">&#9670;&nbsp;</a></span>AudioProvider()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::aip::AudioProvider::AudioProvider </td>
          <td>(</td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a0e5ba82a4fcf54f83464cb9a9d944e91">avsCommon::avs::AudioInputStream</a> &gt;&#160;</td>
          <td class="paramname"><em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html">avsCommon::utils::AudioFormat</a> &amp;&#160;</td>
          <td class="paramname"><em>format</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a12e954e666da508165ebfb7ce4466b2d">ASRProfile</a>&#160;</td>
          <td class="paramname"><em>profile</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>alwaysReadable</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>canOverride</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>canBeOverridden</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Initialization constructor.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">stream</td><td>The <code>ByteStream</code> to use for audio input. </td></tr>
    <tr><td class="paramname">format</td><td>The <code>AudioFormat</code> of the data in <code>byteStream</code>. </td></tr>
    <tr><td class="paramname">profile</td><td>The <code>AudioProfile</code> describing the acoustic environment for the audio input. </td></tr>
    <tr><td class="paramname">alwaysReadable</td><td>Whether new audio data can be read at any time from <code>byteStream</code>. This must be <code>true</code> for a stream to be automatically opened up by an <code>ExpectSpeech</code> directive. </td></tr>
    <tr><td class="paramname">canOverride</td><td>Whether this <code><a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider.html">AudioProvider</a></code> should be allowed to interrupt/override another <code><a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider.html">AudioProvider</a></code>. </td></tr>
    <tr><td class="paramname">canBeOverridden</td><td>Whether this <code><a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider.html">AudioProvider</a></code> allows another <code><a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider.html">AudioProvider</a></code> to interrupt it. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a8bb6d6ed0a65c27e2eabac7e869c698a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8bb6d6ed0a65c27e2eabac7e869c698a">&#9670;&nbsp;</a></span>null()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider.html">AudioProvider</a> &amp; alexaClientSDK::capabilityAgents::aip::AudioProvider::null </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">This function provides an invalid <a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider.html">AudioProvider</a> which has no stream associated with it.</p>
<dl class="section return"><dt>Returns</dt><dd>An invalid <a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider.html">AudioProvider</a> which has no stream associated with it. </dd></dl>

</div>
</div>
<a id="a9e1527deb440ed0a34d5945ca67b284a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9e1527deb440ed0a34d5945ca67b284a">&#9670;&nbsp;</a></span>operator bool()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::aip::AudioProvider::operator bool </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">This function checks whether this is a valid <code><a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider.html">AudioProvider</a></code>. An <code><a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider.html">AudioProvider</a></code> is valid if it has a stream associated with it.</p>
<dl class="section return"><dt>Returns</dt><dd><code>true</code> if <code>stream != nullptr</code>, else <code>false</code>. </dd></dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a04d5828dec4f7727bcd7d26818915bf3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a04d5828dec4f7727bcd7d26818915bf3">&#9670;&nbsp;</a></span>alwaysReadable</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::capabilityAgents::aip::AudioProvider::alwaysReadable</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Whether new audio data can be read at any time from <code>byteStream</code>. </p>

</div>
</div>
<a id="af787165a5c3540a5e2d2109669136c6c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af787165a5c3540a5e2d2109669136c6c">&#9670;&nbsp;</a></span>canBeOverridden</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::capabilityAgents::aip::AudioProvider::canBeOverridden</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Whether this <code><a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider.html">AudioProvider</a></code> should allow another <code><a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider.html">AudioProvider</a></code> to interrupt it. </p>

</div>
</div>
<a id="ad434552bf80a9075563c64b12a805b68"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad434552bf80a9075563c64b12a805b68">&#9670;&nbsp;</a></span>canOverride</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::capabilityAgents::aip::AudioProvider::canOverride</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Whether this <code><a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider.html">AudioProvider</a></code> should be allowed to interrupt/override another <code><a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider.html">AudioProvider</a></code>. </p>

</div>
</div>
<a id="a52ad41317d02bb2ecbcf9f643f129298"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a52ad41317d02bb2ecbcf9f643f129298">&#9670;&nbsp;</a></span>format</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html">avsCommon::utils::AudioFormat</a> alexaClientSDK::capabilityAgents::aip::AudioProvider::format</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The <code>AudioFormat</code> of the data in <code>byteStream</code>. </p>

</div>
</div>
<a id="a637be2eda67f32d06d48cdc5f2d56fcd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a637be2eda67f32d06d48cdc5f2d56fcd">&#9670;&nbsp;</a></span>profile</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a12e954e666da508165ebfb7ce4466b2d">ASRProfile</a> alexaClientSDK::capabilityAgents::aip::AudioProvider::profile</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The <code>ASRProfile</code> describing the acoustic environment for the audio input. </p>

</div>
</div>
<a id="a9225e5d2a1e9d361877d68148225729b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9225e5d2a1e9d361877d68148225729b">&#9670;&nbsp;</a></span>stream</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a0e5ba82a4fcf54f83464cb9a9d944e91">avsCommon::avs::AudioInputStream</a>&gt; alexaClientSDK::capabilityAgents::aip::AudioProvider::stream</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The <code>ByteStream</code> to use for audio input. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/CapabilityAgents/AIP/include/AIP/<a class="el" href="_audio_provider_8h_source.html">AudioProvider.h</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
